.\"	$NetBSD: ne.4,v 1.10 2004/10/04 19:12:52 rumble Exp $
.\"
.\" Copyright (c) 1997, 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jason R. Thorpe of the Numerical Aerospace Simulation Facility,
.\" NASA Ames Research Center.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 20, 2001
.Dt NE 4
.Os
.Sh NAME
.Nm ne
.Nd NE2000 and compatible Ethernet cards device driver
.Sh SYNOPSIS
.Cd "ne0 at isa? port 0x300 irq 9"
.Cd "ne* at isapnp?"
.Cd "ne* at mca? slot ?"
.Cd "ne* at pci? dev ? function ?"
.Cd "ne* at pcmcia? function ?"
.Sh DESCRIPTION
The
.Nm
device driver supports NE2000 and compatible (including NE1000) Ethernet
cards.
.Sh MEDIA SELECTION
The Realtek 8019 (ISA, ISAPnP, some PCMCIA) and Realtek 8029 (PCI)
NE2000-compatible Ethernet chips include support for software media
selection.  If one of these chips is detected by the driver, the list
of supported media will be displayed.
.Pp
For all other chips supported by the
.Nm
driver, media selection must be performed either via card jumper
settings or by vendor-supplied configuration programs.
.Sh DIAGNOSTICS
.Bl -diag
.It "ne0: where did the card go?"
The driver found the card, but was unable to make the card respond
to complete the configuration sequence.
.El
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr isa 4 ,
.Xr isapnp 4 ,
.Xr mca 4 ,
.Xr pci 4 ,
.Xr pcmcia 4 ,
.Xr ifconfig 8
